"""
    This is where the real magic happens
"""
import os

from riontest import crypt
from riontest import db
from riontest import errors


def install(content: list) -> None:
    """
    install a package
    """
    for i in content:
        print(i)


def update(content: list) -> None:
    """
    updates the package list
    """
    # No control argument is used for updating the list

    if content:
        # That's actually terrible semantics. But I can't change that right now.
        errors.neednoargs()
    else:
        print("do update")


def upgrade(content: list) -> None:
    """
    updates the package list
    """
    for i in content:
        print(i)


def search(content: list) -> None:
    """
    Rion is now looking for packages
    """
    for i in content:
        print(i)


def remove(content: list) -> None:
    """
    Rion remove packages
    """
    for i in content:
        print(i)


def dlist(content: list) -> None:
    """
    Rion list packages
    """
    for i in content:
        print(i)


def freeze(content: list) -> None:
    """
    Rion freeze packages
    """
    for i in content:
        print(i)


def check(content: list) -> None:
    """
    Rion check packages
    """
    # TODO: Check config file
    print(content)


def config(content: list) -> None:
    """
    Rion config packages
    """
    for i in content:
        print(i)


def install_rion() -> None:
    """
    Load install skript
    """
    # Customizing the directories
    os.chdir("/")
    # Creating a path in the root directory
    confgfolder: str = "/.rion"
    # Create the folder
    if not os.path.exists(confgfolder):
        os.mkdir(confgfolder)
        # Create an installations lock file
        with open('install.lkd', 'w') as f:
            f.writelines("true")
    else:
        errors.install_error(1)
    # Switch to the config folder
    os.chdir(confgfolder)
    # create Database
    db.create_database("Packages")
    db.create_table("Packages", "Package", "name text, version text")
    # Creates the keys
    key = crypt.gen_key()
    # Save the keys
    crypt.save_key(key, "rsa.txt")
